[arch-commits] Commit in electricsheep/repos (6 files)

Evangelos Foutras foutrelis at archlinux.org
Wed Nov 5 23:39:46 UTC 2014


    Date: Thursday, November 6, 2014 @ 00:39:46
  Author: foutrelis
Revision: 121991

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  electricsheep/repos/community-staging-i686/
  electricsheep/repos/community-staging-i686/PKGBUILD
    (from rev 121990, electricsheep/trunk/PKGBUILD)
  electricsheep/repos/community-staging-i686/electricsheep-no-wxgtk.patch
    (from rev 121990, electricsheep/trunk/electricsheep-no-wxgtk.patch)
  electricsheep/repos/community-staging-x86_64/
  electricsheep/repos/community-staging-x86_64/PKGBUILD
    (from rev 121990, electricsheep/trunk/PKGBUILD)
  electricsheep/repos/community-staging-x86_64/electricsheep-no-wxgtk.patch
    (from rev 121990, electricsheep/trunk/electricsheep-no-wxgtk.patch)

-------------------------------------------------------+
 community-staging-i686/PKGBUILD                       |   64 +++++++++++++
 community-staging-i686/electricsheep-no-wxgtk.patch   |   77 ++++++++++++++++
 community-staging-x86_64/PKGBUILD                     |   64 +++++++++++++
 community-staging-x86_64/electricsheep-no-wxgtk.patch |   77 ++++++++++++++++
 4 files changed, 282 insertions(+)

Copied: electricsheep/repos/community-staging-i686/PKGBUILD (from rev 121990, electricsheep/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2014-11-05 23:39:46 UTC (rev 121991)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=electricsheep
+pkgver=2.7b33
+pkgrel=22
+pkgdesc="A screensaver that realize the collective dream of sleeping computers from all over the internet"
+arch=('i686' 'x86_64')
+url="http://community.electricsheep.org/"
+license=('GPL')
+depends=('curl' 'flam3' 'ffmpeg' 'lua51' 'libgtop' 'boost-libs' 'freeglut' 'glee')
+makedepends=('boost' 'mesa' 'glu' 'tinyxml')
+optdepends=('xscreensaver: to use electricsheep with xscreensaver')
+options=('!emptydirs')
+source=(ftp://ftp.archlinux.org/other/community/${pkgname}/${pkgname}-${pkgver}.tar.xz{,.sig}
+        electricsheep-no-wxgtk.patch)
+sha1sums=('d86607d97accad8519df2a21d67253abe45f5fdd'
+          'SKIP'
+          'b186318902dd0abac6e72a81fa374434d7244ac3')
+
+# source PKGBUILD && mksource
+mksource() {
+  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
+  _svnver=r125
+  _svntrunk="http://electricsheep.googlecode.com/svn/trunk/client_generic"
+  _svnmod="${pkgname}-${pkgver}"
+  mkdir ${pkgname}-${pkgver}
+  pushd ${pkgname}-${pkgver}
+  svn co ${_svntrunk} --config-dir ./ -r ${_svnver} ${_svnmod}
+  find . -depth -type d -name .svn -exec rm -rf {} \;
+  (cd ${pkgname}-${pkgver} ; rm -r boost Build_guides curlTest ffmpeg InstallerMSVC \
+    Launcher libpng libxml lua5.1 MacBuild RuntimeMSVC wxConfig)
+  tar -cJf ../${pkgname}-${pkgver}.tar.xz ${pkgname}-${pkgver}/*
+  popd
+  rm -r ${pkgname}-${pkgver}
+  gpg --detach-sign --use-agent -u ${GPGKEY} ${pkgname}-${pkgver}.tar.xz
+}
+
+prepare() {
+  cd ${pkgname}-${pkgver}
+# Do not build broken electricsheep-preferences
+  patch -p0 -i "${srcdir}/electricsheep-no-wxgtk.patch"
+
+  sed -i -e 's/av_close_input_file( m_pFormatContext )/avformat_close_input( \&m_pFormatContext )/' ContentDecoder/ContentDecoder.cpp
+  sed -i -e 's/AM_PROG_CC_STDC/AC_PROG_CC/' configure.ac
+  sed -i '12 i\
+#include <cstdio>' Common/Singleton.h
+  mkdir m4
+}
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./autogen.sh
+  CPPFLAGS+=" -I/usr/include/lua5.1" ./configure --prefix=/usr
+  sed -i 's|-I /usr/include/libavutil||' MSVC/SettingsGUI/Makefile
+  make CXXFLAGS+="-DUSE_NEW_FFMPEG_API=1" GLEE_LIBS="-lGLee"
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 menu-entries/ElectricSheep.desktop.kde "${pkgdir}/usr/share/kde4/services/ScreenSavers/electricsheep.desktop"
+  install -D -m644 Runtime/logo.png "${pkgdir}/usr/share/icons/electricsheep.png"
+}

Copied: electricsheep/repos/community-staging-i686/electricsheep-no-wxgtk.patch (from rev 121990, electricsheep/trunk/electricsheep-no-wxgtk.patch)
===================================================================
--- community-staging-i686/electricsheep-no-wxgtk.patch	                        (rev 0)
+++ community-staging-i686/electricsheep-no-wxgtk.patch	2014-11-05 23:39:46 UTC (rev 121991)
@@ -0,0 +1,77 @@
+--- configure.ac.orig	2014-08-17 17:28:46.314141026 -0400
++++ configure.ac	2014-08-17 17:29:21.084084594 -0400
+@@ -71,64 +71,7 @@
+ 
+ 
+ 
+-dnl Check for WXWidgets
+-WX_VER_291=""
+ 
+-AC_PATH_PROG(WX_CONFIG, wx-config, no)
+-
+-if test x$WX_CONFIG != xno; then
+-   WX_VERSION=`wx-config --version`
+-
+-   WX_MAJOR=${WX_VERSION%%.*};
+-   WX_MINOR=${WX_VERSION#*.};
+-   WX_MINOR=${WX_MINOR%%.*};
+-   WX_MICRO=${WX_VERSION##*.};
+-
+-   if test $WX_MAJOR -gt 2; then
+-      WX_VER_291=yes
+-   else
+-     if test $WX_MAJOR -eq 2; then
+-        if test $WX_MINOR -gt 9; then
+-           WX_VER_291=yes
+-        else
+-           if test $WX_MINOR -eq 9; then
+-              if test $WX_MICRO -ge 1; then
+-                 WX_VER_291=yes
+-              fi
+-           fi
+-        fi
+-     fi
+-  fi
+-fi
+-
+-if test "$WX_VER_291" != "yes"; then
+-
+-dnl Use static version
+-echo "installed version is too old,"
+-echo "using static source version $reqwx"
+-
+-dnl Need to reset this, else it will override the value below !
+-WX_CONFIG=""
+-
+-AC_CHECK_PROG(WX_CONFIG, wx-config, yes, no)
+-
+-if test $WX_CONFIG = no; then
+-echo
+-echo YOU CAN FIX THIS !
+-AC_MSG_ERROR([Please install development libraries for wxWidgets 2.9.1 or higher, and then run this configure script again.])
+-fi
+-fi
+-
+-WX_CXXFLAGS="`wx-config --cxxflags`"
+-WX_LIBS="-static `wx-config --libs` `wx-config --libs richtext`"
+-
+-echo "WX_CXXFLAGS is $WX_CXXFLAGS"
+-echo "WX_LIBS is $WX_LIBS"
+-
+-WX_LDADD="$WX_LIBS"
+-
+-AC_SUBST(WX_CXXFLAGS)
+-AC_SUBST(WX_LDADD)
+ 
+ 
+ 
+--- MSVC/SettingsGUI/Makefile.am.orig	2014-08-17 20:22:59.680508699 -0400
++++ MSVC/SettingsGUI/Makefile.am	2014-08-17 20:23:46.397099541 -0400
+@@ -28,7 +28,6 @@
+ 	-I /usr/include/libswscale \
+ 	-I /usr/include/libavutil
+ 
+-bin_PROGRAMS = electricsheep-preferences
+ 
+ electricsheep_preferences_SOURCES = \
+ 	config.cpp \

Copied: electricsheep/repos/community-staging-x86_64/PKGBUILD (from rev 121990, electricsheep/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2014-11-05 23:39:46 UTC (rev 121991)
@@ -0,0 +1,64 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=electricsheep
+pkgver=2.7b33
+pkgrel=22
+pkgdesc="A screensaver that realize the collective dream of sleeping computers from all over the internet"
+arch=('i686' 'x86_64')
+url="http://community.electricsheep.org/"
+license=('GPL')
+depends=('curl' 'flam3' 'ffmpeg' 'lua51' 'libgtop' 'boost-libs' 'freeglut' 'glee')
+makedepends=('boost' 'mesa' 'glu' 'tinyxml')
+optdepends=('xscreensaver: to use electricsheep with xscreensaver')
+options=('!emptydirs')
+source=(ftp://ftp.archlinux.org/other/community/${pkgname}/${pkgname}-${pkgver}.tar.xz{,.sig}
+        electricsheep-no-wxgtk.patch)
+sha1sums=('d86607d97accad8519df2a21d67253abe45f5fdd'
+          'SKIP'
+          'b186318902dd0abac6e72a81fa374434d7244ac3')
+
+# source PKGBUILD && mksource
+mksource() {
+  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
+  _svnver=r125
+  _svntrunk="http://electricsheep.googlecode.com/svn/trunk/client_generic"
+  _svnmod="${pkgname}-${pkgver}"
+  mkdir ${pkgname}-${pkgver}
+  pushd ${pkgname}-${pkgver}
+  svn co ${_svntrunk} --config-dir ./ -r ${_svnver} ${_svnmod}
+  find . -depth -type d -name .svn -exec rm -rf {} \;
+  (cd ${pkgname}-${pkgver} ; rm -r boost Build_guides curlTest ffmpeg InstallerMSVC \
+    Launcher libpng libxml lua5.1 MacBuild RuntimeMSVC wxConfig)
+  tar -cJf ../${pkgname}-${pkgver}.tar.xz ${pkgname}-${pkgver}/*
+  popd
+  rm -r ${pkgname}-${pkgver}
+  gpg --detach-sign --use-agent -u ${GPGKEY} ${pkgname}-${pkgver}.tar.xz
+}
+
+prepare() {
+  cd ${pkgname}-${pkgver}
+# Do not build broken electricsheep-preferences
+  patch -p0 -i "${srcdir}/electricsheep-no-wxgtk.patch"
+
+  sed -i -e 's/av_close_input_file( m_pFormatContext )/avformat_close_input( \&m_pFormatContext )/' ContentDecoder/ContentDecoder.cpp
+  sed -i -e 's/AM_PROG_CC_STDC/AC_PROG_CC/' configure.ac
+  sed -i '12 i\
+#include <cstdio>' Common/Singleton.h
+  mkdir m4
+}
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./autogen.sh
+  CPPFLAGS+=" -I/usr/include/lua5.1" ./configure --prefix=/usr
+  sed -i 's|-I /usr/include/libavutil||' MSVC/SettingsGUI/Makefile
+  make CXXFLAGS+="-DUSE_NEW_FFMPEG_API=1" GLEE_LIBS="-lGLee"
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 menu-entries/ElectricSheep.desktop.kde "${pkgdir}/usr/share/kde4/services/ScreenSavers/electricsheep.desktop"
+  install -D -m644 Runtime/logo.png "${pkgdir}/usr/share/icons/electricsheep.png"
+}

Copied: electricsheep/repos/community-staging-x86_64/electricsheep-no-wxgtk.patch (from rev 121990, electricsheep/trunk/electricsheep-no-wxgtk.patch)
===================================================================
--- community-staging-x86_64/electricsheep-no-wxgtk.patch	                        (rev 0)
+++ community-staging-x86_64/electricsheep-no-wxgtk.patch	2014-11-05 23:39:46 UTC (rev 121991)
@@ -0,0 +1,77 @@
+--- configure.ac.orig	2014-08-17 17:28:46.314141026 -0400
++++ configure.ac	2014-08-17 17:29:21.084084594 -0400
+@@ -71,64 +71,7 @@
+ 
+ 
+ 
+-dnl Check for WXWidgets
+-WX_VER_291=""
+ 
+-AC_PATH_PROG(WX_CONFIG, wx-config, no)
+-
+-if test x$WX_CONFIG != xno; then
+-   WX_VERSION=`wx-config --version`
+-
+-   WX_MAJOR=${WX_VERSION%%.*};
+-   WX_MINOR=${WX_VERSION#*.};
+-   WX_MINOR=${WX_MINOR%%.*};
+-   WX_MICRO=${WX_VERSION##*.};
+-
+-   if test $WX_MAJOR -gt 2; then
+-      WX_VER_291=yes
+-   else
+-     if test $WX_MAJOR -eq 2; then
+-        if test $WX_MINOR -gt 9; then
+-           WX_VER_291=yes
+-        else
+-           if test $WX_MINOR -eq 9; then
+-              if test $WX_MICRO -ge 1; then
+-                 WX_VER_291=yes
+-              fi
+-           fi
+-        fi
+-     fi
+-  fi
+-fi
+-
+-if test "$WX_VER_291" != "yes"; then
+-
+-dnl Use static version
+-echo "installed version is too old,"
+-echo "using static source version $reqwx"
+-
+-dnl Need to reset this, else it will override the value below !
+-WX_CONFIG=""
+-
+-AC_CHECK_PROG(WX_CONFIG, wx-config, yes, no)
+-
+-if test $WX_CONFIG = no; then
+-echo
+-echo YOU CAN FIX THIS !
+-AC_MSG_ERROR([Please install development libraries for wxWidgets 2.9.1 or higher, and then run this configure script again.])
+-fi
+-fi
+-
+-WX_CXXFLAGS="`wx-config --cxxflags`"
+-WX_LIBS="-static `wx-config --libs` `wx-config --libs richtext`"
+-
+-echo "WX_CXXFLAGS is $WX_CXXFLAGS"
+-echo "WX_LIBS is $WX_LIBS"
+-
+-WX_LDADD="$WX_LIBS"
+-
+-AC_SUBST(WX_CXXFLAGS)
+-AC_SUBST(WX_LDADD)
+ 
+ 
+ 
+--- MSVC/SettingsGUI/Makefile.am.orig	2014-08-17 20:22:59.680508699 -0400
++++ MSVC/SettingsGUI/Makefile.am	2014-08-17 20:23:46.397099541 -0400
+@@ -28,7 +28,6 @@
+ 	-I /usr/include/libswscale \
+ 	-I /usr/include/libavutil
+ 
+-bin_PROGRAMS = electricsheep-preferences
+ 
+ electricsheep_preferences_SOURCES = \
+ 	config.cpp \


More information about the arch-commits mailing list